# blind-video-watermark

[![PyPI](https://img.shields.io/pypi/v/blind-video-watermark)](https://pypi.org/project/blind-video-watermark/)
[![License](https://img.shields.io/badge/license-MIT-green)](https://github.com/eluv-io/blind-video-watermark/LICENSE)

Blind video watermarking with great invisibility and robustness.

`blind-video-watermark` features multiple blind video watermarking techniques in DT CWT domain. It aims at achieving good imperceptibility and strong robustness against various operations and attacks, including compression, resizing, cropping, rotation and frame rate conversions.

## Installation

```bash
pip install blind-video-watermark
```
For the latest in-development version:
```bach
git clone https://github.com/eluv-io/blind-video-watermark
cd blind-video-watermark
pip install .
```

## Getting Started

1. The documentations are hosted on this repo's [Wiki Page](https://github.com/eluv-io/blind-video-watermark/wiki). Check this [page](https://github.com/eluv-io/blind-video-watermark/wiki/CLI) for examples and documentations of the command line interface.
2. Play with the examples in `examples` directory. All sample videos, images and watermarks are included inside. Take a look at the [doc](https://github.com/eluv-io/blind-video-watermark/wiki/Lib) for various interfaces for developers.
